LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;
USE std.textio.ALL;

PACKAGE MyStuff IS
   -- define a string with index 0
   TYPE CHAR_VECTOR IS ARRAY (NATURAL range <>) OF CHARACTER;

   -- convert a character into an integer, allowing hex-characters too
   FUNCTION hex2int(i : in CHARACTER) RETURN INTEGER;
   
   -- parse an integer from given line
   -- the line may hold arbitrary integer values, each of it
   -- beeing either an integer numeric, a hexvalue, an octal or an binary value.
   -- default separator is a space, but any invalid character will also serve as separator.
   PROCEDURE parse(L : inout LINE; VALUE : inout INTEGER);

   -- write the real wire states of a std_logic_vector
   PROCEDURE write(L : inout LINE; VALUE : in std_logic_vector;
          	       JUSTIFIED: in SIDE := right;
	                FIELD: in WIDTH := 0);

END MyStuff;
